Subject: Re: [RFC v2] blame: new option --prefer-first to better handle merged cherry-picks

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Jan 2014 17:00:46 -0800

Junio C Hamano <[email-masked]> writes:

>> While the result is more consistent and more predictable in the case
>> of merged cherry picks, it is also slower in every case.
>
> Consistent and predictable, perhaps, but I am not sure "exact" would
> be a good word.

Another thing I am not enthusiasitc about this change is that I am
afraid that this may make "git blame -- path" and "git log -- path"
work inconsistenly.  The both cull side branches whenever one of the
parents gave the resulting blob, even that parent is not the first
one.  But "git blame --prefer-first -- path", afaict, behaves quite
differently from "git log --first-parent -- path", even though they
share similar option names, adding more to the confusion.